<?php
	$banshee_modules = array(
		"agenda" => array(
			"pages"       => array("agenda", "cms/agenda"),
			"tables"      => array("agenda")),
		"analytics" => array(
			"pages"       => array("cms/analytics"),
			"libraries"   => array("analytics"),
			"tables"      => array("log_page_views", "log_referers", "log_visits")),
		"apitest" => array(
			"pages"       => array("cms/apitest"),
			"files"       => array("public/images/icons/apitest.png")),
		"captcha" => array(
			"pages"       => array("captcha"),
			"libraries"   => array("captcha"),
			"files"       => array("extra/captcha_font.ttf")),
		"contact" => array(
			"pages"       => array("contact"),
			"settings"    => array("contact\_%")),
		"dictionary" => array(
			"pages"       => array("dictionary", "cms/dictionary"),
			"tables"      => array("dictionary")),
		"download" => array(
			"pages"       => array("download"),
			"libraries"   => array("directoryindex"),
			"files"       => array("public/images/arrow0.png", "public/images/arrow1.png",
			                       "public/images/empty.png")),
		"faq" => array(
			"pages"       => array("faq", "cms/faq"),
			"tables"      => array("faqs", "faq_sections")),
		"flag" => array(
			"pages"       => array("cms/flag"),
			"libraries"   => array("flags"),
			"tables"      => array("flags"),
			"files"       => array("public/images/icons/flags.png")),
		"forum" => array(
			"pages"       => array("forum", "cms/forum", "cms/forum/element", "cms/forum/section"),
			"tables"      => array("forum_last_view", "forum_messages", "forum_topics", "forums"),
			"settings"    => array("forum\_%"),
			"directories" => array("cms/forum")),
		"guestbook" => array(
			"pages"       => array("guestbook", "cms/guestbook"),
			"tables"      => array("guestbook"),
			"settings"    => array("guestbook\_%")),
		"links" => array(
			"pages"       => array("links", "cms/link", "cms/link/category"),
			"tables"      => array("links", "link_categories"),
			"directories" => array("cms/link")),
		"mailbox" => array(
			"pages"       => array("mailbox"),
			"tables"      => array("mailbox")),
		"news" => array(
			"pages"       => array("news", "news.xml", "cms/news"),
			"tables"      => array("news"),
			"settings"    => array("news\_%")),
		"newsletter" => array(
			"pages"       => array("newsletter", "cms/newsletter", "cms/newsletter/subscription"),
			"libraries"   => array("newsletter"),
			"tables"      => array("subscriptions"),
			"settings"    => array("newsletter\_%"),
			"files"       => array("extra/newsletter.txt", "public/images/icons/subscriptions.png"),
			"directories" => array("cms/newsletter")),
		"password" => array(
			"pages"       => array("password"),
			"files"       => array("extra/password.txt")),
		"photo" => array(
			"pages"       => array("photo", "collection", "cms/photo", "cms/photo/album", "cms/photo/collection"),
			"libraries"   => array("image"),
			"tables"      => array("collection_album", "collections", "photos", "photo_albums"),
			"settings"    => array("photo\_%"),
			"files"       => array("public/images/icons/album.png"),
			"directories" => array("cms/photo", "public/photos")),
		"poll" => array(
			"pages"       => array("poll", "cms/poll"),
			"libraries"   => array("poll"),
			"tables"      => array("poll_answers", "polls"),
			"settings"    => array("poll\_%"),
			"files"       => array("views/banshee/poll.xslt", "public/css/banshee/poll.css",
			                       "logfiles/poll.log", "templates/poll_controller.php",
			                       "templates/poll_view.xslt")),
		"questionnaire" => array(
			"pages"       => array("questionnaire", "cms/questionnaire"),
			"tables"      => array("questionnaire_answers", "questionnaires")),
		"register" => array(
			"pages"       => array("register"),
			"files"       => array("extra/register.txt")),
		"search" => array(
			"pages"       => array("search"),
			"files"       => array("logfiles/search.log")),
		"setup" => array(
			"pages"       => array("setup")),
		"weblog" => array(
			"pages"       => array("weblog", "weblog.xml", "cms/weblog", "cms/weblog/comment"),
			"tables"      => array("weblog_tagged", "weblog_tags", "weblog_comments", "weblogs"),
			"settings"    => array("weblog\_%"),
			"files"       => array("public/images/linkedin.png", "public/images/twitter.png"),
			"directories" => array("cms/weblog")),
		"webshop" => array(
			"pages"       => array("webshop", "webshop/cart", "webshop/checkout", "webshop/orders",
								   "cms/webshop", "cms/webshop/article", "cms/webshop/category", "cms/webshop/order"),
			"tables"      => array("shop_order_article", "shop_orders", "shop_articles", "shop_categories"),
			"settings"    => array("webshop\_%"),
			"files"       => array("public/images/cart.png", "public/images/icons/articles.png",
			                       "public/images/icons/categories.png", "public/images/icons/orders.png"),
			"directories" => array("webshop", "cms/webshop")));
?>
